@echo off
setlocal ENABLEDELAYEDEXPANSION

if %PROCESSOR_ARCHITECTURE%==x86 (
  set xdelta_bin=xdelta3-32.exe
) else (
  set xdelta_bin=xdelta3-64.exe
)

set DIFF_1=ssy11-scriptfix-patch.vcdiff
set V1_1=[UTW]_Shinsekai_Yori_-_11_[h264-720p][85897238].mkv
set V2_1=[UTW]_Shinsekai_Yori_-_11v2_[h264-720p][FE6A3065].mkv

echo Patching 01 to v2...
%xdelta_bin% -d "%DIFF_1%"
if %ERRORLEVEL% EQU 0 (
  if EXIST "%V2_1%" (
    @echo Returned 0. Patching successful. %V1_1% can be deleted if %V2_1% plays correctly.
  ) else (
    @echo Returned 0. Patching failed. Unknown error.
  )
) else (
  @echo Returned %ERRORLEVEL%. Patching failed or file exists.
)

:exit
endlocal